org.apache.poi.sl.usermodel

## Enum StrokeStyle.LineCompound

- java.lang.Object
- - java.lang.Enum<StrokeStyle.LineCompound>
  - - org.apache.poi.sl.usermodel.StrokeStyle.LineCompound

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StrokeStyle.LineCompound>
  Enclosing interface:
    StrokeStyle

      public static enum StrokeStyle.LineCompound
      extends java.lang.Enum<StrokeStyle.LineCompound>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOUBLE` Double lines of equal width - native 1 / ooxml "dbl"
    `SINGLE` Single line (of width lineWidth) - native 0 / ooxml default
    `THICK_THIN` Double lines, one thick, one thin - native 2 / ooxml "thickThin"
    `THIN_THICK` Double lines, reverse order - native 3 / ooxml "thinThick"
    `TRIPLE` Three lines, thin, thick, thin - native 4 / ooxml "tri"

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `nativeId`
    `int` | `ooxmlId`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StrokeStyle.LineCompound` | `fromNativeId(int nativeId)`
    `static StrokeStyle.LineCompound` | `fromOoxmlId(int ooxmlId)`
    `static StrokeStyle.LineCompound` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StrokeStyle.LineCompound[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE

          public static final StrokeStyle.LineCompound SINGLE

      Single line (of width lineWidth) - native 0 / ooxml default

    - #### DOUBLE

          public static final StrokeStyle.LineCompound DOUBLE

      Double lines of equal width - native 1 / ooxml "dbl"

    - #### THICK_THIN

          public static final StrokeStyle.LineCompound THICK_THIN

      Double lines, one thick, one thin - native 2 / ooxml "thickThin"

    - #### THIN_THICK

          public static final StrokeStyle.LineCompound THIN_THICK

      Double lines, reverse order - native 3 / ooxml "thinThick"

    - #### TRIPLE

          public static final StrokeStyle.LineCompound TRIPLE

      Three lines, thin, thick, thin - native 4 / ooxml "tri"

  - ### Field Detail

    - #### nativeId

          public final int nativeId

    - #### ooxmlId

          public final int ooxmlId

  - ### Method Detail

    - #### values

          public static StrokeStyle.LineCompound[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StrokeStyle.LineCompound c : StrokeStyle.LineCompound.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StrokeStyle.LineCompound valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromNativeId

          public static StrokeStyle.LineCompound fromNativeId(int nativeId)

    - #### fromOoxmlId

          public static StrokeStyle.LineCompound fromOoxmlId(int ooxmlId)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.